import subprocess
import sys
import click
import traceback
from datetime import datetime


@click.group()
def cli():
    pass


@click.command(name="mr")
def create_mr():
    tmp_name = datetime.now().strftime("%Y%m%d%H%M")
    [ret, target_name] = subprocess.getstatusoutput("git branch --show-current")
    if ret != 0:
        click.echo(target_name)
        sys.exit(-1)
    gen_mr = "git push origin head:{} -o merge_request.target={} ".format(tmp_name, target_name)
    gen_mr += "-o merge_request.create -o merge_request.remove_source_branch -f"
    [_, msg] = subprocess.getstatusoutput(gen_mr)
    click.echo(msg)


cli.add_command(create_mr)
if __name__ == '__main__':
    try:
        cli()
    except Exception as err:
        click.echo(err)
        traceback.print_exc()
        sys.exit(1)



